Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1426962

Summary: Review Request: nodejs-net-browserify-alt - A port of the net module for the browser
Product: [Fedora] Fedora Reporter: Ben Rosser <rosser.bjr>
Component: Package ReviewAssignee: Michael Cronenworth <mike>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: mike, package-review
Target Milestone: ---Flags: mike: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-25 16:53:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1426960, 1426961    
Bug Blocks: 956806    

Description Ben Rosser 2017-02-26 21:18:49 UTC
Spec URL: https://tc01.fedorapeople.org/quassel/quassel-webserver/nodejs-net-browserify-alt.spec
SRPM URL: https://tc01.fedorapeople.org/quassel/quassel-webserver/nodejs-net-browserify-alt-1.1.0-1.fc25.src.rpm

Description: Net module for browserify, with a websocket server proxy. Supported methods:

net.connect(options, cb)
net.isIP(input), net.isIPv4(input), net.isIPv6(input)

Examples are available in examples/.

Fedora Account System Username: tc01

Comment 1 Michael Cronenworth 2017-07-07 21:45:45 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 16 files have
     unknown license. Detailed output of licensecheck in
     /home/michael/Projects/fedora/review/1426962-nodejs-net-browserify-
     alt/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 235520 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-net-browserify-alt-1.1.0-1.fc26.noarch.rpm
          nodejs-net-browserify-alt-1.1.0-1.fc26.src.rpm
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US websocket -> web socket, web-socket, socket
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US cb -> CB, Cb, vb
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US isIP -> i Sip, sip, Isis
nodejs-net-browserify-alt.noarch: W: only-non-binary-in-usr-lib
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/body-parser /usr/lib/node_modules/body-parser
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/ws /usr/lib/node_modules/ws
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/bufferutil /usr/lib/node_modules/bufferutil
nodejs-net-browserify-alt.src: W: spelling-error %description -l en_US websocket -> web socket, web-socket, socket
nodejs-net-browserify-alt.src: W: spelling-error %description -l en_US cb -> CB, Cb, vb
nodejs-net-browserify-alt.src: W: spelling-error %description -l en_US isIP -> i Sip, sip, Isis
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US websocket -> web socket, web-socket, socket
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US cb -> CB, Cb, vb
nodejs-net-browserify-alt.noarch: W: spelling-error %description -l en_US isIP -> i Sip, sip, Isis
nodejs-net-browserify-alt.noarch: W: only-non-binary-in-usr-lib
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/body-parser /usr/lib/node_modules/body-parser
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/bufferutil /usr/lib/node_modules/bufferutil
nodejs-net-browserify-alt.noarch: W: dangling-symlink /usr/lib/node_modules/net-browserify-alt/node_modules/ws /usr/lib/node_modules/ws
1 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
nodejs-net-browserify-alt (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(body-parser)
    npm(bufferutil)
    npm(ws)



Provides
--------
nodejs-net-browserify-alt:
    nodejs-net-browserify-alt
    npm(net-browserify-alt)



Source checksums
----------------
https://registry.npmjs.org/net-browserify-alt/-/net-browserify-alt-1.1.0.tgz :
  CHECKSUM(SHA256) this package     : b79559387476b0da3ce97379c67a313113c1f46d3b6d06bb93f3b2d64c6e2040
  CHECKSUM(SHA256) upstream package : b79559387476b0da3ce97379c67a313113c1f46d3b6d06bb93f3b2d64c6e2040


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1426962 -m fedora-26-x86_64
Buildroot used: fedora-26-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

I used F26 as there is a build root issue with Rawhide not related to this package, but I suspect it will build for Rawhide. Looks good!

APPROVED

Comment 2 Gwyn Ciesla 2017-07-09 00:51:00 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-net-browserify-alt

Comment 3 Fedora Update System 2017-07-10 23:52:43 UTC
nodejs-net-browserify-alt-1.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c658315da

Comment 4 Fedora Update System 2017-07-14 22:54:41 UTC
nodejs-net-browserify-alt-1.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3c658315da

Comment 5 Fedora Update System 2017-07-25 16:53:17 UTC
nodejs-net-browserify-alt-1.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.